Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038738
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Gift cards and gift vouchersmajoralways2018-06-12 12:002018-06-19 07:49
Reporterranjith_qualiantech_comView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038738: Not able to create Gift Certificate more than once

DescriptionIn Gift Certificate popup, Apply button is disabled if we try to create gift certificate for the second time
Steps To Reproduce1) Open Menu, Click Create Gift Certificate
2) Fill the fields and apply it
3) Open again the "Create Gift Certificate" from menu
4) Fill the fields

Check "Apply" button is disabled
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0105107)
hgbot (developer)
2018-06-13 09:07

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: a51be7f13006dbcbb0fd8e1ff59166f791452b76
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Jun 13 12:36:54 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/a51be7f13006dbcbb0fd8e1ff59166f791452b76 [^]

Related to issue 38738 : Enable Apply Button while opening Create Gift Certificate Popup

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardCertificate.js
---
(0105189)
migueldejuana (developer)
2018-06-15 15:27

- The commit has no explanation
- "tap" function of 'GCNV.UI.Certificate_btnApply' component is managing the disabled attribute. Enabling/Disabling shoul be in the same place. Put the logic in "tap" or in executeOnShow function.
(0105194)
hgbot (developer)
2018-06-18 12:56

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 7e4becc6b878776c6b73730ced3ae1c643019f7c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jun 18 15:59:06 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/7e4becc6b878776c6b73730ced3ae1c643019f7c [^]

Related to issue 38738 : Gift Certificate Popup Apply Button is enabled/disabled in the tap event

* Gift Certificate Popup Apply Button is disabled while clicking the button and it will be enabled when tap process id completed


Backed out changeset: a51be7f13006

---
M web/org.openbravo.retail.giftcards/js/components/GiftCardCertificate.js
---

- Issue History
Date Modified Username Field Change
2018-06-12 12:00 ranjith_qualiantech_com New Issue
2018-06-12 12:00 ranjith_qualiantech_com Assigned To => ranjith_qualiantech_com
2018-06-12 12:00 ranjith_qualiantech_com Triggers an Emergency Pack => No
2018-06-12 15:02 ranjith_qualiantech_com Status new => scheduled
2018-06-13 09:07 hgbot Checkin
2018-06-13 09:07 hgbot Note Added: 0105107
2018-06-13 11:48 ranjith_qualiantech_com Status scheduled => resolved
2018-06-13 11:48 ranjith_qualiantech_com Resolution open => fixed
2018-06-15 15:27 migueldejuana Note Added: 0105189
2018-06-15 15:27 migueldejuana Status resolved => new
2018-06-15 15:27 migueldejuana Resolution fixed => open
2018-06-18 12:56 hgbot Checkin
2018-06-18 12:56 hgbot Note Added: 0105194
2018-06-19 07:49 ranjith_qualiantech_com Status new => scheduled
2018-06-19 07:49 ranjith_qualiantech_com Status scheduled => resolved
2018-06-19 07:49 ranjith_qualiantech_com Resolution open => fixed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker